# Vertex Function Calculations
2-, 3-, and 4-Point Correlation Function Calculator for Semiflexible Block and Random Copolymers

This Python code calculates and plots the 2-, 3-, and 4-point structural correlation functions of wormlike chains. Based on such correlations, it also calculates and plots the 2nd, 3rd, and 4th order vertex functions ($\Gamma$) of semiflexible polymer mixtures. The types of polymers include diblock copolymers, and random copolymers. And the types of mixtures include pure polymer melts, and polymer solutions. Examples of applying this code include calculating fluctuation-corrected phase diagrams of diblock copolymers [1], and calculating phase transitions of diblock and random copolymer solutions [2].

[1] S. Mao, Q. J. MacPherson, and A. J. Spakowitz. A. J. Polymer semiflexibility induces non-universal phase transitions in diblock copolymers. Physical Review Letters, accepted (2018).
[2] S. Mao, Q. J. MacPherson, C. Liu, and A. J. Spakowitz. Thermodynamic Model of Solvent Effects in Semiflexible Diblock and Random Copolymer Assembly. Macromolecules, submitted (2018).

## How to use

If you would like to calculate vertex functions, that is $\Gamma(\vec{q}_1...\vec{q}_n)$ see the example ipython notebook "vertexExamples.ipynb".  This calls GAMcalc.py amoung other functions.

Files with the same name except for different extensions (.py vs .ipynb)
stand for the same code.  The documentations is in the ipynb while you can
import the .py file.


# About Some of the subroutines

## MultiPoint
This does the 2,3, and 4 point integrals over propagators.
See Example.ipynb for how to use.
This imports special.py which are just some usefull functions.

## WLCgreen
This calculates the eigenvalues, residue, and the like for the worm like chain
propagator.

## propagator
This is a simple class structure to keep track of propagators.
